CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
booster::locale::collator_base Class Reference
Collation

a base class that includes collation level flags More...

`#include <booster/booster/locale/collator.h>`

Inheritance diagram for booster::locale::collator_base:

## Public Types
enum | level_type { primary = 0, secondary = 1, tertiary = 2, quaternary = 3, identical = 4 }

## Detailed Description

a base class that includes collation level flags

## Member Enumeration Documentation

enum booster::locale::collator_base::level_type

Unicode collation level types

Enumerator
primary | 1st collation level: base letters
secondary | 2nd collation level: letters and accents
tertiary | 3rd collation level: letters, accents and case
quaternary | 4th collation level: letters, accents, case and punctuation
identical | identical collation level: include code-point comparison

The documentation for this class was generated from the following file:

- booster/locale/collator.h